/**
Theme Name: MLS
Author: Get With The Brand
Author URI: https://getwiththebrand.co
Description: A custom design for Dr Matthew Lawson-Smith
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: mls
Template: astra
*/

:root {
	  --dark-blue: #314764;
	  --bright-blue: #3284EF;
	  --grey: #F1F4F8;
	  --green: #10C766;
	}
	

/** Wp Blocks **/

.wp-block-cover-image .wp-block-cover__inner-container, .wp-block-cover .wp-block-cover__inner-container {
	color: var(--dark-blue);
}

.wp-block-button.green-btn .wp-block-button__link {
	background-color: inherit;
	border-bottom: solid var(--green) 3px;
	border-radius: 0;
	color: var(--dark-blue);
	font-size: 20px;
	font-weight: 700;
	padding: 0px 5px 16px 5px;
}
.wp-block-button.green-btn .wp-block-button__link:hover {
	background-color: inherit;
	color: var(--bright-blue);
}

.wp-block-button.green-btn .wp-block-button__link:before {
	background:url(/wp-content/themes/mls-child/img/plus.svg) center no-repeat;
	content: '';
	display: inline-block;
	height: 25px;
	margin-right: 10px;
	margin-bottom: -5px;
	width: 25px;
}

.wp-block-button.green-btn .wp-block-button__link:hover:before {
	transform: rotate(45deg);
	transition: 0.3s;
	transition: transform 0.3s;
}

.wp-block-button.white-btn .wp-block-button__link {	
	background-color: #fff;
	color: var(--bright-blue);
	border-radius: 50px;
	font-size: 20px;
	font-weight: 700;
	padding: 18px 36px;
}

.wp-block-button.white-btn .wp-block-button__link:hover {
	background-color: var(--dark-blue);
	color: #fff;
}

.wp-block-separator {
	background-color: #F1F4F8;
	border: none;
	height: 3px;
	margin-top: 60px;
	margin-bottom: 60px;	
}

.wp-block-separator:not(.is-style-wide):not(.is-style-dots) {
	margin: 20px 0!important;
}

.wp-block-cover.is-style-corner-tl img {
	border-top-left-radius: 70px;
}
.wp-block-cover.is-style-corner-tr img {
	border-top-right-radius: 70px;
}
.wp-block-cover.is-style-corner-bl img {
	border-bottom-left-radius: 70px;
}
.wp-block-cover.is-style-corner-br img, .is-style-corner-br {
	border-bottom-right-radius: 70px;
}

.is-style-no-col-spacing .wp-block-column {
	margin: 0;
}

.wp-block-columns.is-style-no-spacing {
	margin: 0;
}

.wp-block-columns {
	  margin: 20px 0;
}

/* .wp-block-column {
	  margin: 0 20px;
} */

.wp-block-image.size-full {
	margin: 0;
}

.wp-block-cover.img-text {
	margin: 40px 0;
}

.wp-block-columns.apt-cols .wp-block-column {
	flex-grow: 1!important;
}

h4.uagb-post__title.uagb-post__text a {
	background: none;
}

article.uagb-post__inner-wrap .wp-block-button a {
	color: #fff;
}

/*Temp for no spacing */
/* .wp-container-5, .wp-container-10 {
	gap: var( --wp--style--block-gap, 0em );
} */

/**  Custom **/

span.pre,
.secondary .widget-title {
	color: var(--bright-blue);
	display: inline-block;
	font-family: 'urbanist';
	font-weight: 700;
	font-size: 18px;
	letter-spacing: 2px;
	line-height: 1.6em;
	margin-bottom: 10px;
	text-transform: uppercase;
}

.secondary .widget-title {
	margin-bottom: 2em;
}

#hero .img {
	background-size: cover;
	background-position: center;
}

#hero .col40 {
	height: 300px;
}

#hero .img {
	height: 400px;
}

#hero .col40 {
	background: url(/wp-content/themes/mls-child/img/pattern-grey-o.svg) repeat;
	background-size: 10%;
	position: relative;
}

.home #hero h1 {
	font-size: 40px;
	letter-spacing: -2px;
	line-height: .9em;
	margin-bottom: 20px;
}

.hero-overlap {
	background-color: #fff;
	margin: 20px;
	padding: 40px;
	position: absolute;
	bottom: 20px;
}

.ast-desktop .ast-menu-hover-style-underline > .menu-item > .menu-link:before, .ast-desktop .ast-menu-hover-style-overline > .menu-item > .menu-link:before {
	height: 3px;
}

h1, .entry-content h1  {
	padding-bottom: 0.3em;
}

header.entry-header h1.entry-title {
	font-size: 2.5rem;
	font-weight: 700;
}

.square .wp-block-cover, .wp-block-cover-image {
	min-height: 160px;
	margin: 0 0 10px 0;
}
	
h3.box-link.has-white-color.has-text-color a {
	background-color: inherit;
	color: #fff;
	text-decoration: none;
	position: relative;
}

h3.box-link a:after {
	background:url(/wp-content/themes/mls-child/img/chevron-r.svg) center no-repeat;
	content: '';
	display: inline-block;
	height: 32px;
	margin-bottom: -5px;
	margin-left: 8px;
	width: 18px;
}

h3.box-link.has-white-color.has-text-color a:hover {
	color: var(--green);
}

p.cta.has-large-font-size {
	font-size: 40px!important;
	line-height: 1em;
}

.ast-single-post .entry-content .apt-block p a {
	text-decoration: underline;
	background-color: transparent;
}

p:last-of-type p, .entry-content p {
	margin-bottom: 2em;
}

.ast-single-post .entry-content a {
	text-decoration: none;
	background-color: rgba(16, 199, 102, 0.15);
	font-weight: 600;	
}

.ast-article-single h4 a {
	background: transparent;
}

.uagb-post__text .uagb-post__title a, 
.uagb-post__text .uagb-post__cta a {
	background-color: inherit;
}

.uagb-post__text .uagb-post__cta a {
	border-radius: 50px;
}

.home-box {
	height: 300px;
}

/** lists **/

#primary ul.mls-list li, 
#primary ul.mls-list-alt li  {  
	display: block;
	font-size: 18px;
	line-height: 1.5;
	margin-bottom: 12px;
	position: relative;
}

#primary ul.mls-list li:before {
	background-color: #3284EF;
	border-radius: 50%;
	content: '';
	display: block;
	height: 8px;
	position: absolute;
	top: 13px;
	left: -31px;
	width: 8px;
}

#primary ul.mls-list-alt li:before {
	border: 3px solid #3284EF;
	border-radius: 50%;
	content: '';
	display: block;
	height: 12px;
	position: absolute;
	top: 8px;
	left: -31px;
	width: 12px;
}

#primary ul.mls-list-ast li li:before {
	border: 3px dotted #3284EF;
}

#primary ul.mls-list li li:first-child {
	display: block;
	font-size: 18px;
	line-height: 1.5;
	margin-bottom: 12px;
	position: relative;
	margin-top: 18px;
}

#primary ul.mls-list li li:before {
	background-color: #3284EF;
	border-radius: 50px;
	content: '';
	display: block;
	height: 4px;
	position: absolute;
	top: 13px;
	left: -22px;
	width: 16px;
}

ul.uagb-tabs__panel li a {
	background-color: inherit!important;
}

.mls-tabs ul.uagb-tabs__panel {
	border-bottom: none!important;
}

#crumbs {
	padding: 20px;
	font-size: 14px;
}

#crumbs a {
	border-bottom: solid #10C766 1px;
}

.profile {
	position: relative;
}

.profile:before {
	background: url("/wp-content/themes/mls-child/img/pattern-blue.svg") repeat;
    background-size: 10%;
	bottom: 0;
	box-sizing: border-box;
    content: '';
	display: block;
	height: calc(100% - 100px);
	left: 0;
    position: absolute;
    width: 100%;
	z-index: -1;
}

.shadow {
	box-shadow: 5px 5px 20px 6px rgb(0 0 0 / 7%);
}

.widget h2, .ast-footer-copyright a {
	color: var(--bright-blue);
}


/** Gravity Forms */
.menu-toggle, button, .ast-button, .ast-custom-button, .button, input#submit, input[type="button"], input[type="submit"], input[type="reset"] {
	background-color: var(--bright-blue);
	color: #fff;
	border-radius: 50px;
	font-weight: 700;
}

button#gform_browse_button_2_7 {
	background-color: #fff;
	border: solid var(--bright-blue) 2px;
	color: var(--bright-blue);
}

button#gform_browse_button_2_7:hover {
	border: solid var(--dark-blue) 2px;
	color: var(--dark-blue);
}

.gform_wrapper.gravity-theme .gsection {
	border-bottom: 3px solid var(--grey);
}

.gform_wrapper.gravity-theme input[type=color], .gform_wrapper.gravity-theme input[type=date], .gform_wrapper.gravity-theme input[type=datetime-local], .gform_wrapper.gravity-theme input[type=datetime], .gform_wrapper.gravity-theme input[type=email], .gform_wrapper.gravity-theme input[type=month], .gform_wrapper.gravity-theme input[type=number], .gform_wrapper.gravity-theme input[type=password], .gform_wrapper.gravity-theme input[type=search], .gform_wrapper.gravity-theme input[type=tel], .gform_wrapper.gravity-theme input[type=text], .gform_wrapper.gravity-theme input[type=time], .gform_wrapper.gravity-theme input[type=url], .gform_wrapper.gravity-theme input[type=week], .gform_wrapper.gravity-theme select, .gform_wrapper.gravity-theme textarea {
	font-size: 18px;
}

.gform_wrapper.gravity-theme .gfield_label {
	font-size: 18px;
	line-height: 1.4;
}

h3.gsection_title {
	margin-top: 2em;
}
.gform_wrapper select, input[type=email], input[type=number], input[type=password], input[type=reset], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
	background-color: var(--grey);
	border-color: var(--grey);
}

.gform_wrapper.gravity-theme .gform_fields {
	grid-row-gap: 34px;
}

@media screen and (min-width: 320px) {


}

@media screen and (min-width: 481px) {
	
	.home #hero h1 {
		font-size: 80px;
	}
	
	h3.box-link {
		max-width: 180px;
	}
	
	.square .wp-block-cover, .wp-block-cover-image {
		min-height: 300px;
	}
	
	#crumbs {
		padding: 20px 40px 30px;
	}
	
}

@media screen and (min-width: 769px) {
	
	#hero-cols {
		align-items: stretch;
		display: flex;
		justify-content: center;
	}
	#hero-cols .col40, #hero-cols .img {
		height: 640px;
	}
	
	#hero-cols.conditions .col40, #hero-cols.conditions .img {
		height: 500px;
	}
	
	#hero .col60 {
		flex-basis: 60%;
	}
	#hero .col40 {
		flex-basis: 40%;
	}

	.hero-overlap {
		position: absolute;
		top: 60px;
		bottom: auto;
		left: -260px;
		border: solid #fff;
		border-bottom-left-radius: 70px;
		box-shadow: 5px 5px 20px 6px rgb(0 0 0 / 7%);
	}
	
	.home #hero-cols {
		margin-bottom: 75px;
	}
	
	.wp-block-column:first-child {
		margin-left: 0;
	}
	
	/* .wp-block-column:not(:first-child) {
		margin-left: 0em;
	} */	
	.wp-block-cover.img-text .wp-block-column:first-child {
		padding-right: 4em;
	}
}

@media (min-width: 782px) {
	.wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column:not(:first-child) {	
		margin-left: 0;
	}
}


@media (min-width: 922px) {
	
	.ast-right-sidebar #primary {
		border-right: none;
	}
	
	.ast-right-sidebar #secondary {
		border-left: none;
		padding-left: 0;
	}
	
	.sidebar-main {
		background-color: var(--grey);
		padding: 3em;
	}
	
	p.cta.has-large-font-size {
		font-size: 58px!important;
	}
}


@media screen and (min-width: 1025px) {
	.hero-overlap {
		left: -320px;
		margin: 80px;
		padding: 80px;
		top: 0;
	}
	
	#hero-cols.conditions .hero-overlap {
		top: -40px;
	}
	
	p.cta.has-large-font-size {
		font-size: 74px;
		line-height: 1em;
	}
}

@media screen and (min-width: 1200px) {
	
	.ast-container, .ast-container-fluid {
		padding-left: 80px;
		padding-right: 80px;
	}
}

.lead-in .wp-block-columns {
	border: red solid 1px;
}